Bug 1293759 - Some pod openflow could not be cleaned after delete the pod
Some pod openflow could not be cleaned after delete the pod
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Networking (Show other bugs)
3.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan Winship
Meng Bo
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-22 22:04 EST by Yan Du
Modified: 2016-05-12 13:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 13:13:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yan Du 2015-12-22 22:04:24 EST
Description of problem:

Check the openflow after deleted the pod, still remained one rule for each pod

[root@atomic /]# ovs-ofctl dump-flows br0 -O OpenFlow13 | grep 10.1.2.8
 cookie=0x0, duration=761.751s, table=4, n_packets=0, n_bytes=0, priority=100,ip,in_port=10,nw_src=10.1.2.8 actions=load:0xc->NXM_NX_REG0[],goto_table:5

[root@atomic /]# ovs-ofctl dump-flows br0 -O OpenFlow13 | grep 10.1.2.7
 cookie=0x0, duration=766.576s, table=4, n_packets=0, n_bytes=0, priority=100,ip,in_port=9,nw_src=10.1.2.7 actions=load:0xc->NXM_NX_REG0[],goto_table:5


Version-Release number of selected component (if applicable):
origin
oc v1.1-603-gb1cffde-dirty
kubernetes v1.1.0-origin-1107-g4c8e6f4
plugin:  redhat/openshift-ovs-multitenant

ose
oc v3.1.1.0
kubernetes v1.1.0-origin-1107-g4c8e6f4
plugin:  redhat/openshift-ovs-multitenant


How reproducible:
Always

Steps to Reproduce:
1. Set up multi-node env with multitenant plugin
2.  Create some pod
#oc create -f https://raw.githubusercontent.com/openshift-qe/v3-testfiles/master/networking/list_for_pods.json
# oc describe pod  | grep IP
IP:                10.1.2.8
IP:                10.1.2.7
3. Check the openflow list on the node
[root@atomic /]# ovs-ofctl dump-flows br0 -O OpenFlow13 | grep 10.1.2.8
 cookie=0x0, duration=92.340s, table=4, n_packets=0, n_bytes=0, priority=100,ip,in_port=10,nw_src=10.1.2.8 actions=load:0xc->NXM_NX_REG0[],goto_table:5
 cookie=0x0, duration=92.337s, table=7, n_packets=0, n_bytes=0, priority=100,ip,reg0=0xc,nw_dst=10.1.2.8 actions=output:10
 
[root@atomic /]# ovs-ofctl dump-flows br0 -O OpenFlow13 | grep 10.1.2.7
 cookie=0x0, duration=95.979s, table=4, n_packets=0, n_bytes=0, priority=100,ip,in_port=9,nw_src=10.1.2.7 actions=load:0xc->NXM_NX_REG0[],goto_table:5
 cookie=0x0, duration=95.975s, table=7, n_packets=0, n_bytes=0, priority=100,ip,reg0=0xc,nw_dst=10.1.2.7 actions=output:9
 
4. Delete the pods
5. Check the openflow list again


Actual results:
step5: Still remained one rule for each pod after deleted the pod

[root@atomic /]# ovs-ofctl dump-flows br0 -O OpenFlow13 | grep 10.1.2.8
 cookie=0x0, duration=761.751s, table=4, n_packets=0, n_bytes=0, priority=100,ip,in_port=10,nw_src=10.1.2.8 actions=load:0xc->NXM_NX_REG0[],goto_table:5
 
[root@atomic /]# ovs-ofctl dump-flows br0 -O OpenFlow13 | grep 10.1.2.7
 cookie=0x0, duration=766.576s, table=4, n_packets=0, n_bytes=0, priority=100,ip,in_port=9,nw_src=10.1.2.7 actions=load:0xc->NXM_NX_REG0[],goto_table:5

Wait a few minutes and check again,  the rules are still there.


Expected results:
All pod openflow rules could be cleaned after delete the pod


Additional info:
Service openflow rules could be cleaned successfully after deleted service.
Comment 2 Yan Du 2016-01-11 01:44:07 EST
Test with latest origin code, issue have been fixed.

Could you please move the bug to ON_QA, then I can verify it. Thanks.

Note You need to log in before you can comment on or make changes to this bug.